OUTPUT_FORMAT(binary)
OUTPUT_ARCH(sh4)
ENTRY(_start)

MEMORY
{
        rom (rx) : o = 0x00300000, l = 2M
        ram (rwx) : o = 0x08100000, l = 512k
}

SECTIONS
{
        .text : {
                *(.text)
                *(.text.*)
        } > rom

        .rodata : {
                *(.rodata)
                *(.rodata.*)
        } > rom

        .data : ALIGN(4) {
                _datald = LOADADDR(.data) ;
                _sdata = . ;
                *(.data)
                *(.data.*);
                _edata = . ;
        } >ram AT>rom
      
        .bss : ALIGN(4) {
                _bbss = . ;
                *(.bss)
                *(.bss*)
                *(COMMON)
                _ebss = . ;
        } >ram
}

